// !$*UTF8*$!
{
	archiveVersion = 1;
	classes = {
	};
	objectVersion = 55;
	objects = {

/* Begin PBXBuildFile section */
		465622C22891BA9D0027C46D /* AppDelegate.swift in Sources */ = {isa = PBXBuildFile; fileRef = 465622C12891BA9D0027C46D /* AppDelegate.swift */; };
		465622C42891BA9D0027C46D /* SceneDelegate.swift in Sources */ = {isa = PBXBuildFile; fileRef = 465622C32891BA9D0027C46D /* SceneDelegate.swift */; };
		465622C62891BA9D0027C46D /* ViewController.swift in Sources */ = {isa = PBXBuildFile; fileRef = 465622C52891BA9D0027C46D /* ViewController.swift */; };
		465622C92891BA9D0027C46D /* Main.storyboard in Resources */ = {isa = PBXBuildFile; fileRef = 465622C72891BA9D0027C46D /* Main.storyboard */; };
		465622CB2891BA9D0027C46D /* Assets.xcassets in Resources */ = {isa = PBXBuildFile; fileRef = 465622CA2891BA9D0027C46D /* Assets.xcassets */; };
		465622CE2891BA9D0027C46D /* LaunchScreen.storyboard in Resources */ = {isa = PBXBuildFile; fileRef = 465622CC2891BA9D0027C46D /* LaunchScreen.storyboard */; };
		465622D92891BA9E0027C46D /* ios_demoTests.swift in Sources */ = {isa = PBXBuildFile; fileRef = 465622D82891BA9E0027C46D /* ios_demoTests.swift */; };
		465622E32891BA9E0027C46D /* ios_demoUITests.swift in Sources */ = {isa = PBXBuildFile; fileRef = 465622E22891BA9E0027C46D /* ios_demoUITests.swift */; };
		465622E52891BA9E0027C46D /* ios_demoUITestsLaunchTests.swift in Sources */ = {isa = PBXBuildFile; fileRef = 465622E42891BA9E0027C46D /* ios_demoUITestsLaunchTests.swift */; };
		6038361C4DA2E299F6D1F7AE /* Pods_ios_demo.framework in Frameworks */ = {isa = PBXBuildFile; fileRef = D6ED7EE6AF24865FF9EE6631 /* Pods_ios_demo.framework */; };
/* End PBXBuildFile section */

/* Begin PBXContainerItemProxy section */
		465622D52891BA9E0027C46D /* PBXContainerItemProxy */ = {
			isa = PBXContainerItemProxy;
			containerPortal = 465622B62891BA9D0027C46D /* Project object */;
			proxyType = 1;
			remoteGlobalIDString = 465622BD2891BA9D0027C46D;
			remoteInfo = ios_demo;
		};
		465622DF2891BA9E0027C46D /* PBXContainerItemProxy */ = {
			isa = PBXContainerItemProxy;
			containerPortal = 465622B62891BA9D0027C46D /* Project object */;
			proxyType = 1;
			remoteGlobalIDString = 465622BD2891BA9D0027C46D;
			remoteInfo = ios_demo;
		};
/* End PBXContainerItemProxy section */

/* Begin PBXFileReference section */
		465622BE2891BA9D0027C46D /* ios_demo.app */ = {isa = PBXFileReference; explicitFileType = wrapper.application; includeInIndex = 0; path = ios_demo.app; sourceTree = BUILT_PRODUCTS_DIR; };
		465622C12891BA9D0027C46D /* AppDelegate.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = AppDelegate.swift; sourceTree = "<group>"; };
		465622C32891BA9D0027C46D /* SceneDelegate.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = SceneDelegate.swift; sourceTree = "<group>"; };
		465622C52891BA9D0027C46D /* ViewController.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = ViewController.swift; sourceTree = "<group>"; };
		465622C82891BA9D0027C46D /* Base */ = {isa = PBXFileReference; lastKnownFileType = file.storyboard; name = Base; path = Base.lproj/Main.storyboard; sourceTree = "<group>"; };
		465622CA2891BA9D0027C46D /* Assets.xcassets */ = {isa = PBXFileReference; lastKnownFileType = folder.assetcatalog; path = Assets.xcassets; sourceTree = "<group>"; };
		465622CD2891BA9D0027C46D /* Base */ = {isa = PBXFileReference; lastKnownFileType = file.storyboard; name = Base; path = Base.lproj/LaunchScreen.storyboard; sourceTree = "<group>"; };
		465622CF2891BA9D0027C46D /* Info.plist */ = {isa = PBXFileReference; lastKnownFileType = text.plist.xml; path = Info.plist; sourceTree = "<group>"; };
		465622D42891BA9E0027C46D /* ios_demoTests.xctest */ = {isa = PBXFileReference; explicitFileType = wrapper.cfbundle; includeInIndex = 0; path = ios_demoTests.xctest; sourceTree = BUILT_PRODUCTS_DIR; };
		465622D82891BA9E0027C46D /* ios_demoTests.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = ios_demoTests.swift; sourceTree = "<group>"; };
		465622DE2891BA9E0027C46D /* ios_demoUITests.xctest */ = {isa = PBXFileReference; explicitFileType = wrapper.cfbundle; includeInIndex = 0; path = ios_demoUITests.xctest; sourceTree = BUILT_PRODUCTS_DIR; };
		465622E22891BA9E0027C46D /* ios_demoUITests.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = ios_demoUITests.swift; sourceTree = "<group>"; };
		465622E42891BA9E0027C46D /* ios_demoUITestsLaunchTests.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = ios_demoUITestsLaunchTests.swift; sourceTree = "<group>"; };
		AF361F7CC5CE5551C1EDE19C /* Pods-ios_demo.release.xcconfig */ = {isa = PBXFileReference; includeInIndex = 1; lastKnownFileType = text.xcconfig; name = "Pods-ios_demo.release.xcconfig"; path = "Target Support Files/Pods-ios_demo/Pods-ios_demo.release.xcconfig"; sourceTree = "<group>"; };
		CF8839982A4F50E21FE95896 /* Pods-ios_demo.debug.xcconfig */ = {isa = PBXFileReference; includeInIndex = 1; lastKnownFileType = text.xcconfig; name = "Pods-ios_demo.debug.xcconfig"; path = "Target Support Files/Pods-ios_demo/Pods-ios_demo.debug.xcconfig"; sourceTree = "<group>"; };
		D6ED7EE6AF24865FF9EE6631 /* Pods_ios_demo.framework */ = {isa = PBXFileReference; explicitFileType = wrapper.framework; includeInIndex = 0; path = Pods_ios_demo.framework; sourceTree = BUILT_PRODUCTS_DIR; };
/* End PBXFileReference section */

/* Begin PBXFrameworksBuildPhase section */
		465622BB2891BA9D0027C46D /* Frameworks */ = {
			isa = PBXFrameworksBuildPhase;
			buildActionMask = 2147483647;
			files = (
				6038361C4DA2E299F6D1F7AE /* Pods_ios_demo.framework in Frameworks */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		465622D12891BA9E0027C46D /* Frameworks */ = {
			isa = PBXFrameworksBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		465622DB2891BA9E0027C46D /* Frameworks */ = {
			isa = PBXFrameworksBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXFrameworksBuildPhase section */

/* Begin PBXGroup section */
		0345901F7F5FD78BC64299C5 /* Frameworks */ = {
			isa = PBXGroup;
			children = (
				D6ED7EE6AF24865FF9EE6631 /* Pods_ios_demo.framework */,
			);
			name = Frameworks;
			sourceTree = "<group>";
		};
		465622B52891BA9D0027C46D = {
			isa = PBXGroup;
			children = (
				465622C02891BA9D0027C46D /* ios_demo */,
				465622D72891BA9E0027C46D /* ios_demoTests */,
				465622E12891BA9E0027C46D /* ios_demoUITests */,
				465622BF2891BA9D0027C46D /* Products */,
				9FE56CA398EDC4FE2834169F /* Pods */,
				0345901F7F5FD78BC64299C5 /* Frameworks */,
			);
			sourceTree = "<group>";
		};
		465622BF2891BA9D0027C46D /* Products */ = {
			isa = PBXGroup;
			children = (
				465622BE2891BA9D0027C46D /* ios_demo.app */,
				465622D42891BA9E0027C46D /* ios_demoTests.xctest */,
				465622DE2891BA9E0027C46D /* ios_demoUITests.xctest */,
			);
			name = Products;
			sourceTree = "<group>";
		};
		465622C02891BA9D0027C46D /* ios_demo */ = {
			isa = PBXGroup;
			children = (
				465622C12891BA9D0027C46D /* AppDelegate.swift */,
				465622C32891BA9D0027C46D /* SceneDelegate.swift */,
				465622C52891BA9D0027C46D /* ViewController.swift */,
				465622C72891BA9D0027C46D /* Main.storyboard */,
				465622CA2891BA9D0027C46D /* Assets.xcassets */,
				465622CC2891BA9D0027C46D /* LaunchScreen.storyboard */,
				465622CF2891BA9D0027C46D /* Info.plist */,
			);
			path = ios_demo;
			sourceTree = "<group>";
		};
		465622D72891BA9E0027C46D /* ios_demoTests */ = {
			isa = PBXGroup;
			children = (
				465622D82891BA9E0027C46D /* ios_demoTests.swift */,
			);
			path = ios_demoTests;
			sourceTree = "<group>";
		};
		465622E12891BA9E0027C46D /* ios_demoUITests */ = {
			isa = PBXGroup;
			children = (
				465622E22891BA9E0027C46D /* ios_demoUITests.swift */,
				465622E42891BA9E0027C46D /* ios_demoUITestsLaunchTests.swift */,
			);
			path = ios_demoUITests;
			sourceTree = "<group>";
		};
		9FE56CA398EDC4FE2834169F /* Pods */ = {
			isa = PBXGroup;
			children = (
				CF8839982A4F50E21FE95896 /* Pods-ios_demo.debug.xcconfig */,
				AF361F7CC5CE5551C1EDE19C /* Pods-ios_demo.release.xcconfig */,
			);
			path = Pods;
			sourceTree = "<group>";
		};
/* End PBXGroup section */

/* Begin PBXNativeTarget section */
		465622BD2891BA9D0027C46D /* ios_demo */ = {
			isa = PBXNativeTarget;
			buildConfigurationList = 465622E82891BA9E0027C46D /* Build configuration list for PBXNativeTarget "ios_demo" */;
			buildPhases = (
				0A441CA5BD0A5EA00B90C95F /* [CP] Check Pods Manifest.lock */,
				465622BA2891BA9D0027C46D /* Sources */,
				465622BB2891BA9D0027C46D /* Frameworks */,
				465622BC2891BA9D0027C46D /* Resources */,
				A92C8A3D58C0C883C6F48221 /* [CP] Embed Pods Frameworks */,
			);
			buildRules = (
			);
			dependencies = (
			);
			name = ios_demo;
			productName = ios_demo;
			productReference = 465622BE2891BA9D0027C46D /* ios_demo.app */;
			productType = "com.apple.product-type.application";
		};
		465622D32891BA9E0027C46D /* ios_demoTests */ = {
			isa = PBXNativeTarget;
			buildConfigurationList = 465622EB2891BA9E0027C46D /* Build configuration list for PBXNativeTarget "ios_demoTests" */;
			buildPhases = (
				465622D02891BA9E0027C46D /* Sources */,
				465622D12891BA9E0027C46D /* Frameworks */,
				465622D22891BA9E0027C46D /* Resources */,
			);
			buildRules = (
			);
			dependencies = (
				465622D62891BA9E0027C46D /* PBXTargetDependency */,
			);
			name = ios_demoTests;
			productName = ios_demoTests;
			productReference = 465622D42891BA9E0027C46D /* ios_demoTests.xctest */;
			productType = "com.apple.product-type.bundle.unit-test";
		};
		465622DD2891BA9E0027C46D /* ios_demoUITests */ = {
			isa = PBXNativeTarget;
			buildConfigurationList = 465622EE2891BA9E0027C46D /* Build configuration list for PBXNativeTarget "ios_demoUITests" */;
			buildPhases = (
				465622DA2891BA9E0027C46D /* Sources */,
				465622DB2891BA9E0027C46D /* Frameworks */,
				465622DC2891BA9E0027C46D /* Resources */,
			);
			buildRules = (
			);
			dependencies = (
				465622E02891BA9E0027C46D /* PBXTargetDependency */,
			);
			name = ios_demoUITests;
			productName = ios_demoUITests;
			productReference = 465622DE2891BA9E0027C46D /* ios_demoUITests.xctest */;
			productType = "com.apple.product-type.bundle.ui-testing";
		};
/* End PBXNativeTarget section */

/* Begin PBXProject section */
		465622B62891BA9D0027C46D /* Project object */ = {
			isa = PBXProject;
			attributes = {
				BuildIndependentTargetsInParallel = 1;
				LastSwiftUpdateCheck = 1340;
				LastUpgradeCheck = 1340;
				TargetAttributes = {
					465622BD2891BA9D0027C46D = {
						CreatedOnToolsVersion = 13.4.1;
					};
					465622D32891BA9E0027C46D = {
						CreatedOnToolsVersion = 13.4.1;
						TestTargetID = 465622BD2891BA9D0027C46D;
					};
					465622DD2891BA9E0027C46D = {
						CreatedOnToolsVersion = 13.4.1;
						TestTargetID = 465622BD2891BA9D0027C46D;
					};
				};
			};
			buildConfigurationList = 465622B92891BA9D0027C46D /* Build configuration list for PBXProject "ios_demo" */;
			compatibilityVersion = "Xcode 13.0";
			developmentRegion = en;
			hasScannedForEncodings = 0;
			knownRegions = (
				en,
				Base,
			);
			mainGroup = 465622B52891BA9D0027C46D;
			productRefGroup = 465622BF2891BA9D0027C46D /* Products */;
			projectDirPath = "";
			projectRoot = "";
			targets = (
				465622BD2891BA9D0027C46D /* ios_demo */,
				465622D32891BA9E0027C46D /* ios_demoTests */,
				465622DD2891BA9E0027C46D /* ios_demoUITests */,
			);
		};
/* End PBXProject section */

/* Begin PBXResourcesBuildPhase section */
		465622BC2891BA9D0027C46D /* Resources */ = {
			isa = PBXResourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				465622CE2891BA9D0027C46D /* LaunchScreen.storyboard in Resources */,
				465622CB2891BA9D0027C46D /* Assets.xcassets in Resources */,
				465622C92891BA9D0027C46D /* Main.storyboard in Resources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		465622D22891BA9E0027C46D /* Resources */ = {
			isa = PBXResourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		465622DC2891BA9E0027C46D /* Resources */ = {
			isa = PBXResourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXResourcesBuildPhase section */

/* Begin PBXShellScriptBuildPhase section */
		0A441CA5BD0A5EA00B90C95F /* [CP] Check Pods Manifest.lock */ = {
			isa = PBXShellScriptBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			inputFileListPaths = (
			);
			inputPaths = (
				"${PODS_PODFILE_DIR_PATH}/Podfile.lock",
				"${PODS_ROOT}/Manifest.lock",
			);
			name = "[CP] Check Pods Manifest.lock";
			outputFileListPaths = (
			);
			outputPaths = (
				"$(DERIVED_FILE_DIR)/Pods-ios_demo-checkManifestLockResult.txt",
			);
			runOnlyForDeploymentPostprocessing = 0;
			shellPath = /bin/sh;
			shellScript = "diff \"${PODS_PODFILE_DIR_PATH}/Podfile.lock\" \"${PODS_ROOT}/Manifest.lock\" > /dev/null\nif [ $? != 0 ] ; then\n    # print error to STDERR\n    echo \"error: The sandbox is not in sync with the Podfile.lock. Run 'pod install' or update your CocoaPods installation.\" >&2\n    exit 1\nfi\n# This output is used by Xcode 'outputs' to avoid re-running this script phase.\necho \"SUCCESS\" > \"${SCRIPT_OUTPUT_FILE_0}\"\n";
			showEnvVarsInLog = 0;
		};
		A92C8A3D58C0C883C6F48221 /* [CP] Embed Pods Frameworks */ = {
			isa = PBXShellScriptBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			inputFileListPaths = (
				"${PODS_ROOT}/Target Support Files/Pods-ios_demo/Pods-ios_demo-frameworks-${CONFIGURATION}-input-files.xcfilelist",
			);
			name = "[CP] Embed Pods Frameworks";
			outputFileListPaths = (
				"${PODS_ROOT}/Target Support Files/Pods-ios_demo/Pods-ios_demo-frameworks-${CONFIGURATION}-output-files.xcfilelist",
			);
			runOnlyForDeploymentPostprocessing = 0;
			shellPath = /bin/sh;
			shellScript = "\"${PODS_ROOT}/Target Support Files/Pods-ios_demo/Pods-ios_demo-frameworks.sh\"\n";
			showEnvVarsInLog = 0;
		};
/* End PBXShellScriptBuildPhase section */

/* Begin PBXSourcesBuildPhase section */
		465622BA2891BA9D0027C46D /* Sources */ = {
			isa = PBXSourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				465622C62891BA9D0027C46D /* ViewController.swift in Sources */,
				465622C22891BA9D0027C46D /* AppDelegate.swift in Sources */,
				465622C42891BA9D0027C46D /* SceneDelegate.swift in Sources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		465622D02891BA9E0027C46D /* Sources */ = {
			isa = PBXSourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				465622D92891BA9E0027C46D /* ios_demoTests.swift in Sources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		465622DA2891BA9E0027C46D /* Sources */ = {
			isa = PBXSourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				465622E52891BA9E0027C46D /* ios_demoUITestsLaunchTests.swift in Sources */,
				465622E32891BA9E0027C46D /* ios_demoUITests.swift in Sources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXSourcesBuildPhase section */

/* Begin PBXTargetDependency section */
		465622D62891BA9E0027C46D /* PBXTargetDependency */ = {
			isa = PBXTargetDependency;
			target = 465622BD2891BA9D0027C46D /* ios_demo */;
			targetProxy = 465622D52891BA9E0027C46D /* PBXContainerItemProxy */;
		};
		465622E02891BA9E0027C46D /* PBXTargetDependency */ = {
			isa = PBXTargetDependency;
			target = 465622BD2891BA9D0027C46D /* ios_demo */;
			targetProxy = 465622DF2891BA9E0027C46D /* PBXContainerItemProxy */;
		};
/* End PBXTargetDependency section */

/* Begin PBXVariantGroup section */
		465622C72891BA9D0027C46D /* Main.storyboard */ = {
			isa = PBXVariantGroup;
			children = (
				465622C82891BA9D0027C46D /* Base */,
			);
			name = Main.storyboard;
			sourceTree = "<group>";
		};
		465622CC2891BA9D0027C46D /* LaunchScreen.storyboard */ = {
			isa = PBXVariantGroup;
			children = (
				465622CD2891BA9D0027C46D /* Base */,
			);
			name = LaunchScreen.storyboard;
			sourceTree = "<group>";
		};
/* End PBXVariantGroup section */

/* Begin XCBuildConfiguration section */
		465622E62891BA9E0027C46D /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_SEARCH_USER_PATHS = NO;
				CLANG_ANALYZER_NONNULL = YES;
				CLANG_ANALYZER_NUMBER_OBJECT_CONVERSION = YES_AGGRESSIVE;
				CLANG_CXX_LANGUAGE_STANDARD = "gnu++17";
				CLANG_ENABLE_MODULES = YES;
				CLANG_ENABLE_OBJC_ARC = YES;
				CLANG_ENABLE_OBJC_WEAK = YES;
				CLANG_WARN_BLOCK_CAPTURE_AUTORELEASING = YES;
				CLANG_WARN_BOOL_CONVERSION = YES;
				CLANG_WARN_COMMA = YES;
				CLANG_WARN_CONSTANT_CONVERSION = YES;
				CLANG_WARN_DEPRECATED_OBJC_IMPLEMENTATIONS = YES;
				CLANG_WARN_DIRECT_OBJC_ISA_USAGE = YES_ERROR;
				CLANG_WARN_DOCUMENTATION_COMMENTS = YES;
				CLANG_WARN_EMPTY_BODY = YES;
				CLANG_WARN_ENUM_CONVERSION = YES;
				CLANG_WARN_INFINITE_RECURSION = YES;
				CLANG_WARN_INT_CONVERSION = YES;
				CLANG_WARN_NON_LITERAL_NULL_CONVERSION = YES;
				CLANG_WARN_OBJC_IMPLICIT_RETAIN_SELF = YES;
				CLANG_WARN_OBJC_LITERAL_CONVERSION = YES;
				CLANG_WARN_OBJC_ROOT_CLASS = YES_ERROR;
				CLANG_WARN_QUOTED_INCLUDE_IN_FRAMEWORK_HEADER = YES;
				CLANG_WARN_RANGE_LOOP_ANALYSIS = YES;
				CLANG_WARN_STRICT_PROTOTYPES = YES;
				CLANG_WARN_SUSPICIOUS_MOVE = YES;
				CLANG_WARN_UNGUARDED_AVAILABILITY = YES_AGGRESSIVE;
				CLANG_WARN_UNREACHABLE_CODE = YES;
				CLANG_WARN__DUPLICATE_METHOD_MATCH = YES;
				COPY_PHASE_STRIP = NO;
				DEBUG_INFORMATION_FORMAT = dwarf;
				ENABLE_STRICT_OBJC_MSGSEND = YES;
				ENABLE_TESTABILITY = YES;
				GCC_C_LANGUAGE_STANDARD = gnu11;
				GCC_DYNAMIC_NO_PIC = NO;
				GCC_NO_COMMON_BLOCKS = YES;
				GCC_OPTIMIZATION_LEVEL = 0;
				GCC_PREPROCESSOR_DEFINITIONS = (
					"DEBUG=1",
					"$(inherited)",
				);
				GCC_WARN_64_TO_32_BIT_CONVERSION = YES;
				GCC_WARN_ABOUT_RETURN_TYPE = YES_ERROR;
				GCC_WARN_UNDECLARED_SELECTOR = YES;
				GCC_WARN_UNINITIALIZED_AUTOS = YES_AGGRESSIVE;
				GCC_WARN_UNUSED_FUNCTION = YES;
				GCC_WARN_UNUSED_VARIABLE = YES;
				IPHONEOS_DEPLOYMENT_TARGET = 15.4;
				MTL_ENABLE_DEBUG_INFO = INCLUDE_SOURCE;
				MTL_FAST_MATH = YES;
				ONLY_ACTIVE_ARCH = YES;
				SDKROOT = iphoneos;
				SWIFT_ACTIVE_COMPILATION_CONDITIONS = DEBUG;
				SWIFT_OPTIMIZATION_LEVEL = "-Onone";
			};
			name = Debug;
		};
		465622E72891BA9E0027C46D /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_SEARCH_USER_PATHS = NO;
				CLANG_ANALYZER_NONNULL = YES;
				CLANG_ANALYZER_NUMBER_OBJECT_CONVERSION = YES_AGGRESSIVE;
				CLANG_CXX_LANGUAGE_STANDARD = "gnu++17";
				CLANG_ENABLE_MODULES = YES;
				CLANG_ENABLE_OBJC_ARC = YES;
				CLANG_ENABLE_OBJC_WEAK = YES;
				CLANG_WARN_BLOCK_CAPTURE_AUTORELEASING = YES;
				CLANG_WARN_BOOL_CONVERSION = YES;
				CLANG_WARN_COMMA = YES;
				CLANG_WARN_CONSTANT_CONVERSION = YES;
				CLANG_WARN_DEPRECATED_OBJC_IMPLEMENTATIONS = YES;
				CLANG_WARN_DIRECT_OBJC_ISA_USAGE = YES_ERROR;
				CLANG_WARN_DOCUMENTATION_COMMENTS = YES;
				CLANG_WARN_EMPTY_BODY = YES;
				CLANG_WARN_ENUM_CONVERSION = YES;
				CLANG_WARN_INFINITE_RECURSION = YES;
				CLANG_WARN_INT_CONVERSION = YES;
				CLANG_WARN_NON_LITERAL_NULL_CONVERSION = YES;
				CLANG_WARN_OBJC_IMPLICIT_RETAIN_SELF = YES;
				CLANG_WARN_OBJC_LITERAL_CONVERSION = YES;
				CLANG_WARN_OBJC_ROOT_CLASS = YES_ERROR;
				CLANG_WARN_QUOTED_INCLUDE_IN_FRAMEWORK_HEADER = YES;
				CLANG_WARN_RANGE_LOOP_ANALYSIS = YES;
				CLANG_WARN_STRICT_PROTOTYPES = YES;
				CLANG_WARN_SUSPICIOUS_MOVE = YES;
				CLANG_WARN_UNGUARDED_AVAILABILITY = YES_AGGRESSIVE;
				CLANG_WARN_UNREACHABLE_CODE = YES;
				CLANG_WARN__DUPLICATE_METHOD_MATCH = YES;
				COPY_PHASE_STRIP = NO;
				DEBUG_INFORMATION_FORMAT = "dwarf-with-dsym";
				ENABLE_NS_ASSERTIONS = NO;
				ENABLE_STRICT_OBJC_MSGSEND = YES;
				GCC_C_LANGUAGE_STANDARD = gnu11;
				GCC_NO_COMMON_BLOCKS = YES;
				GCC_WARN_64_TO_32_BIT_CONVERSION = YES;
				GCC_WARN_ABOUT_RETURN_TYPE = YES_ERROR;
				GCC_WARN_UNDECLARED_SELECTOR = YES;
				GCC_WARN_UNINITIALIZED_AUTOS = YES_AGGRESSIVE;
				GCC_WARN_UNUSED_FUNCTION = YES;
				GCC_WARN_UNUSED_VARIABLE = YES;
				IPHONEOS_DEPLOYMENT_TARGET = 15.4;
				MTL_ENABLE_DEBUG_INFO = NO;
				MTL_FAST_MATH = YES;
				SDKROOT = iphoneos;
				SWIFT_COMPILATION_MODE = wholemodule;
				SWIFT_OPTIMIZATION_LEVEL = "-O";
				VALIDATE_PRODUCT = YES;
			};
			name = Release;
		};
		465622E92891BA9E0027C46D /* Debug */ = {
			isa = XCBuildConfiguration;
			baseConfigurationReference = CF8839982A4F50E21FE95896 /* Pods-ios_demo.debug.xcconfig */;
			buildSettings = {
				ASSETCATALOG_COMPILER_APPICON_NAME = AppIcon;
				ASSETCATALOG_COMPILER_GLOBAL_ACCENT_COLOR_NAME = AccentColor;
				CODE_SIGN_IDENTITY = "iPhone Developer";
				CODE_SIGN_STYLE = Manual;
				CURRENT_PROJECT_VERSION = 1;
				DEVELOPMENT_TEAM = N7SYAN8PX8;
				GENERATE_INFOPLIST_FILE = YES;
				INFOPLIST_FILE = ios_demo/Info.plist;
				INFOPLIST_KEY_UIApplicationSupportsIndirectInputEvents = YES;
				INFOPLIST_KEY_UILaunchStoryboardName = LaunchScreen;
				INFOPLIST_KEY_UIMainStoryboardFile = Main;
				INFOPLIST_KEY_UISupportedInterfaceOrientations_iPad = "UIInterfaceOrientationPortrait UIInterfaceOrientationPortraitUpsideDown UIInterfaceOrientationLandscapeLeft UIInterfaceOrientationLandscapeRight";
				INFOPLIST_KEY_UISupportedInterfaceOrientations_iPhone = "UIInterfaceOrientationPortrait UIInterfaceOrientationLandscapeLeft UIInterfaceOrientationLandscapeRight";
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
				);
				MARKETING_VERSION = 1.0;
				PRODUCT_BUNDLE_IDENTIFIER = "com.gitlab.ios-demo";
				PRODUCT_NAME = "$(TARGET_NAME)";
				PROVISIONING_PROFILE_SPECIFIER = "match Development com.gitlab.ios-demo";
				SWIFT_EMIT_LOC_STRINGS = YES;
				SWIFT_VERSION = 5.0;
				TARGETED_DEVICE_FAMILY = "1,2";
			};
			name = Debug;
		};
		465622EA2891BA9E0027C46D /* Release */ = {
			isa = XCBuildConfiguration;
			baseConfigurationReference = AF361F7CC5CE5551C1EDE19C /* Pods-ios_demo.release.xcconfig */;
			buildSettings = {
				ASSETCATALOG_COMPILER_APPICON_NAME = AppIcon;
				ASSETCATALOG_COMPILER_GLOBAL_ACCENT_COLOR_NAME = AccentColor;
				CODE_SIGN_IDENTITY = "iPhone Distribution";
				CODE_SIGN_STYLE = Manual;
				CURRENT_PROJECT_VERSION = 1;
				DEVELOPMENT_TEAM = N7SYAN8PX8;
				GENERATE_INFOPLIST_FILE = YES;
				INFOPLIST_FILE = ios_demo/Info.plist;
				INFOPLIST_KEY_UIApplicationSupportsIndirectInputEvents = YES;
				INFOPLIST_KEY_UILaunchStoryboardName = LaunchScreen;
				INFOPLIST_KEY_UIMainStoryboardFile = Main;
				INFOPLIST_KEY_UISupportedInterfaceOrientations_iPad = "UIInterfaceOrientationPortrait UIInterfaceOrientationPortraitUpsideDown UIInterfaceOrientationLandscapeLeft UIInterfaceOrientationLandscapeRight";
				INFOPLIST_KEY_UISupportedInterfaceOrientations_iPhone = "UIInterfaceOrientationPortrait UIInterfaceOrientationLandscapeLeft UIInterfaceOrientationLandscapeRight";
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
				);
				MARKETING_VERSION = 1.0;
				PRODUCT_BUNDLE_IDENTIFIER = "com.gitlab.ios-demo";
				PRODUCT_NAME = "$(TARGET_NAME)";
				PROVISIONING_PROFILE_SPECIFIER = "match AppStore com.gitlab.ios-demo";
				SWIFT_EMIT_LOC_STRINGS = YES;
				SWIFT_VERSION = 5.0;
				TARGETED_DEVICE_FAMILY = "1,2";
			};
			name = Release;
		};
		465622EC2891BA9E0027C46D /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_EMBED_SWIFT_STANDARD_LIBRARIES = YES;
				BUNDLE_LOADER = "$(TEST_HOST)";
				CODE_SIGN_IDENTITY = "Apple Development";
				"CODE_SIGN_IDENTITY[sdk=macosx*]" = "Apple Development";
				CODE_SIGN_STYLE = Manual;
				CURRENT_PROJECT_VERSION = 1;
				DEVELOPMENT_TEAM = N7SYAN8PX8;
				GENERATE_INFOPLIST_FILE = YES;
				IPHONEOS_DEPLOYMENT_TARGET = 15.4;
				MARKETING_VERSION = 1.0;
				PRODUCT_BUNDLE_IDENTIFIER = "com.gitlab.ios-demoTests";
				PRODUCT_NAME = "$(TARGET_NAME)";
				PROVISIONING_PROFILE_SPECIFIER = "";
				"PROVISIONING_PROFILE_SPECIFIER[sdk=macosx*]" = "";
				SWIFT_EMIT_LOC_STRINGS = NO;
				SWIFT_VERSION = 5.0;
				TARGETED_DEVICE_FAMILY = "1,2";
				TEST_HOST = "$(BUILT_PRODUCTS_DIR)/ios_demo.app/ios_demo";
			};
			name = Debug;
		};
		465622ED2891BA9E0027C46D /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_EMBED_SWIFT_STANDARD_LIBRARIES = YES;
				BUNDLE_LOADER = "$(TEST_HOST)";
				CODE_SIGN_STYLE = Manual;
				CURRENT_PROJECT_VERSION = 1;
				DEVELOPMENT_TEAM = N7SYAN8PX8;
				GENERATE_INFOPLIST_FILE = YES;
				IPHONEOS_DEPLOYMENT_TARGET = 15.4;
				MARKETING_VERSION = 1.0;
				PRODUCT_BUNDLE_IDENTIFIER = "com.gitlab.ios-demoTests";
				PRODUCT_NAME = "$(TARGET_NAME)";
				PROVISIONING_PROFILE_SPECIFIER = "";
				"PROVISIONING_PROFILE_SPECIFIER[sdk=macosx*]" = "";
				SWIFT_EMIT_LOC_STRINGS = NO;
				SWIFT_VERSION = 5.0;
				TARGETED_DEVICE_FAMILY = "1,2";
				TEST_HOST = "$(BUILT_PRODUCTS_DIR)/ios_demo.app/ios_demo";
			};
			name = Release;
		};
		465622EF2891BA9E0027C46D /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_EMBED_SWIFT_STANDARD_LIBRARIES = YES;
				CODE_SIGN_STYLE = Automatic;
				CURRENT_PROJECT_VERSION = 1;
				GENERATE_INFOPLIST_FILE = YES;
				MARKETING_VERSION = 1.0;
				PRODUCT_BUNDLE_IDENTIFIER = "com.gitlab.ios-demoUITests";
				PRODUCT_NAME = "$(TARGET_NAME)";
				SWIFT_EMIT_LOC_STRINGS = NO;
				SWIFT_VERSION = 5.0;
				TARGETED_DEVICE_FAMILY = "1,2";
				TEST_TARGET_NAME = ios_demo;
			};
			name = Debug;
		};
		465622F02891BA9E0027C46D /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_EMBED_SWIFT_STANDARD_LIBRARIES = YES;
				CODE_SIGN_STYLE = Automatic;
				CURRENT_PROJECT_VERSION = 1;
				GENERATE_INFOPLIST_FILE = YES;
				MARKETING_VERSION = 1.0;
				PRODUCT_BUNDLE_IDENTIFIER = "com.gitlab.ios-demoUITests";
				PRODUCT_NAME = "$(TARGET_NAME)";
				SWIFT_EMIT_LOC_STRINGS = NO;
				SWIFT_VERSION = 5.0;
				TARGETED_DEVICE_FAMILY = "1,2";
				TEST_TARGET_NAME = ios_demo;
			};
			name = Release;
		};
/* End XCBuildConfiguration section */

/* Begin XCConfigurationList section */
		465622B92891BA9D0027C46D /* Build configuration list for PBXProject "ios_demo" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				465622E62891BA9E0027C46D /* Debug */,
				465622E72891BA9E0027C46D /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
		465622E82891BA9E0027C46D /* Build configuration list for PBXNativeTarget "ios_demo" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				465622E92891BA9E0027C46D /* Debug */,
				465622EA2891BA9E0027C46D /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
		465622EB2891BA9E0027C46D /* Build configuration list for PBXNativeTarget "ios_demoTests" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				465622EC2891BA9E0027C46D /* Debug */,
				465622ED2891BA9E0027C46D /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
		465622EE2891BA9E0027C46D /* Build configuration list for PBXNativeTarget "ios_demoUITests" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				465622EF2891BA9E0027C46D /* Debug */,
				465622F02891BA9E0027C46D /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
/* End XCConfigurationList section */
	};
	rootObject = 465622B62891BA9D0027C46D /* Project object */;
}
